<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.5" maxVersion="1.7" type="org.netbeans.modules.form.forminfo.JPanelFormInfo">
  <Properties>
    <Property name="name" type="java.lang.String" value="Form" noResource="true"/>
  </Properties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" attributes="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace min="-2" pref="18" max="-2" attributes="0"/>
                      <Component id="titleLabel" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <Group type="102" alignment="1" attributes="0">
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="contactTabbedPane" pref="380" max="32767" attributes="0"/>
                  </Group>
                  <Group type="102" alignment="1" attributes="0">
                      <EmptySpace min="-2" pref="153" max="-2" attributes="0"/>
                      <Component id="enableButton" min="-2" max="-2" attributes="0"/>
                      <EmptySpace min="-2" pref="26" max="-2" attributes="0"/>
                      <Component id="removeButton" min="-2" max="-2" attributes="0"/>
                      <EmptySpace type="unrelated" max="-2" attributes="0"/>
                      <Component id="AddButton" min="-2" max="-2" attributes="0"/>
                  </Group>
              </Group>
              <EmptySpace max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Component id="titleLabel" min="-2" max="-2" attributes="0"/>
              <EmptySpace type="unrelated" max="-2" attributes="0"/>
              <Component id="contactTabbedPane" min="-2" pref="222" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="AddButton" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="removeButton" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="enableButton" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace pref="13" max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JLabel" name="titleLabel">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="se/softstuff/nb/guicomponentinfodemo/Bundle.properties" key="DemoTopComponent.titleLabel.text" replaceFormat="NbBundleExtended.getMessage({sourceFileName}.class, &quot;{key}&quot;, Locale.getDefault().getDisplayLanguage())"/>
        </Property>
        <Property name="name" type="java.lang.String" value="titleLabel" noResource="true"/>
      </Properties>
    </Component>
    <Container class="javax.swing.JTabbedPane" name="contactTabbedPane">
      <Properties>
        <Property name="name" type="java.lang.String" value="contactTabbedPane" noResource="true"/>
      </Properties>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JTabbedPaneSupportLayout"/>
    </Container>
    <Component class="javax.swing.JButton" name="AddButton">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="se/softstuff/nb/guicomponentinfodemo/Bundle.properties" key="DemoTopComponent.AddButton.text" replaceFormat="NbBundleExtended.getMessage({sourceFileName}.class, &quot;{key}&quot;, Locale.getDefault().getDisplayLanguage())"/>
        </Property>
        <Property name="name" type="java.lang.String" value="AddButton" noResource="true"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="AddButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="removeButton">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="se/softstuff/nb/guicomponentinfodemo/Bundle.properties" key="DemoTopComponent.removeButton.text" replaceFormat="NbBundleExtended.getMessage({sourceFileName}.class, &quot;{key}&quot;, Locale.getDefault().getDisplayLanguage())"/>
        </Property>
        <Property name="name" type="java.lang.String" value="removeButton" noResource="true"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="removeButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="enableButton">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="se/softstuff/nb/guicomponentinfodemo/Bundle.properties" key="DemoTopComponent.enableButton.text" replaceFormat="NbBundleExtended.getMessage({sourceFileName}.class, &quot;{key}&quot;, Locale.getDefault().getDisplayLanguage())"/>
        </Property>
        <Property name="name" type="java.lang.String" value="enableButton" noResource="true"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="enableButtonActionPerformed"/>
      </Events>
    </Component>
  </SubComponents>
</Form>
